Subject: RE: [rohc] encoding and compression schemes should be used for RTPTSfor Vi deo

From: "Ghyslain Pelletier (LU/EAB)" <[email-masked]>
Date: Tue, 20 Sep 2005 18:02:37 +0200

Hi,

> There is no recommendation on what encoding/compression
> scheme should be used for TS  for video and also no
> recommendation for TS_STRIDE and TIME_STRIDE.

First, I think that what you consider a "recommendation" in 3095 regarding this is rather an "example", or explanation, as to the design choices for the compression method.

(as a side note, this is one reason why I believe it is unfortunate that there is often too many examples, suggestions and numbers in RFCs meant as "additional information" -- instead of sticking to properties and what should be done)

Second, the choice of the compression method is up to the implementation.

> As I mentioned in my previous email there is a
> recommendation in RFC-3095 to use TS_STRIDE of 160 and
> TIME_STRIDE of 20 msec for voice which I think a reasonable
> recommendation and I am looking for similar recommendation
> for video (MPEG-4 type).

My understanding is that as far as 3095 is concerned, the compressor does not "care" about this -- as there is no assumption that the compressor knows what type of media is in the flow. I.e. the compressor should "observe" the concerned fields in by how much they change, deduce a value for that change a soon as possible and then convey this to the decompressor. Until a value is observed by the compressor, the TS is sent uncompressed.

Hope it helps.

/Ghyslain

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Lars-Erik Jonsson
> Sent: den 20 september 2005 17:23
> To: Trabelsi, Chokri (Chokri); [email-masked]
> Subject: Re: [rohc] encoding and compression schemes should 
> be used for
> RTPTSfor Vi deo 
> 
> 
> Kristofer answered a similar question last week (see attachment).
> 
> /L-E
> 
> 
> ----- Original Message ----- 
> From: "Trabelsi, Chokri (Chokri)" <[email-masked]>
> To: "Lars-Erik Jonsson" <[email-masked]>; "Trabelsi, Chokri 
> (Chokri)" 
> <[email-masked]>; <[email-masked]>
> Sent: Tuesday, September 20, 2005 4:59 PM
> Subject: RE: [rohc] encoding and compression schemes should 
> be used for RTP 
> TSfor Vi deo
> 
> 
> > L-E,
> >
> > Yes, I am quite familiar with the implementer's guide. There is no 
> > recommendation on what encoding/compression scheme should 
> be used for TS 
> > for video and also no recommendation for TS_STRIDE and 
> TIME_STRIDE. As I 
> > mentioned in my previous email there is a recommendation  
> in RFC-3095 to 
> > use TS_STRIDE of 160 and TIME_STRIDE of 20 msec for voice 
> which I think a 
> > reasonable recommendation and I am looking for similar 
> recommendation for 
> > video (MPEG-4 type).
> >
> > -----Original Message-----
> > From: Lars-Erik Jonsson [mailto:[email-masked]]
> > Sent: Tue, September 20, 2005 10:40 AM
> > To: Trabelsi, Chokri (Chokri); [email-masked]
> > Subject: Re: [rohc] encoding and compression schemes should 
> be used for
> > RTP TSfor Vi deo
> >
> >
> > Have you checked the implementer's guide?
> > 
> http://www.ietf.org/internet-drafts/draft-ietf-rohc-rtp-impl-g
uide-15.txt
>
> If you can't find the answer there, let us know and we'll try to answer.
>
> BR
> /L-E
>
> ----- Original Message ----- 
> From: "Trabelsi, Chokri (Chokri)" <[email-masked]>
> To: <[email-masked]>
> Sent: Monday, September 19, 2005 10:30 PM
> Subject: [rohc] encoding and compression schemes should be used for RTP
> TSfor Vi deo
>
>
>>
>> I am interested to know if anyone has any suggestion on what encoding and
>> compression schemes should be used for RTP TS field for Video (MPEG-4 or
>> H.263).
>> -For voice, It seems the recommendation is to use the Scaled RTP TS +
>> Timer-Based Compression per RFC-3095 Section 4.5.3 and 4.5.4 and the
>> recommended value of TS_STRIDE=20 msec and TIME_STRIDE=160 seems to be
>> acceptable.
>> -For video, since the video sampling rate and video frame rate are
>> variable, I am not sure if the Scaled RTP TS and Timer-Based Compression
>> can be used. If yes, anyone has a suggestion of what value of TS_STRIDE
>> and TIME_STRIDE one may consider?
>>
>>
>> _______________________________________________
>> Rohc mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/rohc
>>
>>
>
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
>
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc